﻿* Encoding: UTF-8.

* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=engagegroup COUNT()[name="COUNT"] aqlq_mcid_3m 
    MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /COLORCYCLE COLOR1(28,205,205), COLOR2(170,233,129), COLOR3(255,255,153), COLOR4(249,179,63), 
    COLOR5(254,130,180), COLOR6(25,128,56), COLOR7(0,45,156), COLOR8(238,83,139), COLOR9(178,134,0), 
    COLOR10(0,157,154), COLOR11(1,39,73), COLOR12(138,56,0), COLOR13(165,110,255), 
    COLOR14(236,230,208), COLOR15(69,70,71), COLOR16(92,202,136), COLOR17(208,83,52), 
    COLOR18(204,127,228), COLOR19(225,188,29), COLOR20(237,75,75), COLOR21(28,205,205), 
    COLOR22(92,113,72), COLOR23(225,139,14), COLOR24(9,38,114), COLOR25(90,100,94), COLOR26(155,0,0), 
    COLOR27(207,172,227), COLOR28(150,145,145), COLOR29(63,235,124), COLOR30(105,41,196)
  /FRAME OUTER=NO INNER=NO
  /GRIDLINES XAXIS=NO YAXIS=YES
  /STYLE GRADIENT=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: engagegroup=col(source(s), name("engagegroup"), unit.category())
  DATA: COUNT=col(source(s), name("COUNT"))
  DATA: aqlq_mcid_3m=col(source(s), name("aqlq_mcid_3m"), unit.category())
  GUIDE: axis(dim(1), label("Engagement Group"))
  GUIDE: axis(dim(2), label("Count"))
  GUIDE: legend(aesthetic(aesthetic.color.interior), label("Proportion of MCID AQLQ Change - 3 ",
    "Months"))
  GUIDE: text.title(label("Stacked Bar Count of Engagement Group by Proportion of MCID AQLQ ",
    "Change - 3 Months"))
  SCALE: cat(dim(1), include("0.00", "1.00", "2.00"), sort.values("0.00", "1.00", "2.00"))
  SCALE: linear(dim(2), min(0), origin(0))
  SCALE: cat(aesthetic(aesthetic.color.interior), include(
"2.00", "1.00", "0.00", "-1.00", "-2.00"), reverse())
  ELEMENT: interval.stack(position(engagegroup*COUNT), color.interior(aqlq_mcid_3m), 
    shape.interior(shape.square))
END GPL.
