﻿* Encoding: UTF-8.
*MOMA Results - JOBM - response to reviewers
    **BASELINE COMPARISONS
    
    * Compare withdrawn users vs not withdrawn

ttest groups=withdrawn2(0 1)
  /var = age agesince internetuse schoolleave aqlq_t1 aqlq_s_t1 aqlq_en_t1 aqlq_em_t1 aqlq_a_t1 
    acq6_t1 hadsA_t1 hadsD_t1 mars_t1 pmsac_t1 pmsaw_t1.

*compare LTFU with complete cases

ttest groups=complete_aqlq_t2(0 1)
  /var = age agesince internetuse schoolleave aqlq_t1 aqlq_s_t1 aqlq_en_t1 aqlq_em_t1 aqlq_a_t1 
    acq6_t1 hadsA_t1 hadsD_t1 mars_t1 pmsac_t1 pmsaw_t1.

ttest groups=complete_aqlq_t3(0 1)
  /var = age agesince internetuse schoolleave aqlq_t1 aqlq_s_t1 aqlq_en_t1 aqlq_em_t1 aqlq_a_t1 
    acq6_t1 hadsA_t1 hadsD_t1 mars_t1 pmsac_t1 pmsaw_t1.

crosstabs ethnicity education meditate_exp meditate_last3months BY complete_aqlq_t2 complete_aqlq_t3 /stats = chisq.
crosstabs ethnicity education meditate_exp meditate_last3months BY withdrawn2 /stats = chisq.

**remove withdrawn
    
select if not withdrawn2 = 1. 
exe.

* Compare groups at baseline

ttest groups=group(0 1)
  /var =age schoolleave agesince internetuse aqlq_t1 aqlq_s_t1 aqlq_en_t1 aqlq_em_t1 aqlq_a_t1 
    acq6_t1 hadsA_t1 hadsD_t1 mars_t1 pmsac_t1 pmsaw_t1.

*INTERVENTION USE
    manually calc total by multiplying mean by N

desc sessions duration_mean time used.
freq Aplaceofpeace to soundsnooze.

*exploratory

freq sessions.   
freq engagement.
oneway aqlq_t1 acq6_t1 hadsA_t1 hadsD_t1 mars_t1 pmsac_t1 pmsaw_t1 by engagement
/posthoc = bonferroni.

corr
  /var =sessions with aqlq_t1 acq6_t1 hadsA_t1 hadsD_t1 mars_t1 pmsac_t1 pmsaw_t1.

*completion rates*

sort cases by group.
split file by group.
freq complete_aqlq_t2 to complete_meditate_exp.
split file off.

**generate means
    
means tables =aqlq_t1 to pmsaw_t3 by group.

**Between group comparisons conducted in STATA
    *PASTE SYNTAX
    
**within groups comparisons

sort cases by group.
split file by group.

* primary outcomes AQLQ and ACQ

t-test pairs = aqlq_t2 aqlq_t3 with aqlq_t1.
t-test pairs = aqlq_s_t2 aqlq_s_t3 with aqlq_s_t1.
t-test pairs = aqlq_en_t2 aqlq_en_t3 with aqlq_en_t1.
t-test pairs = aqlq_em_t2 aqlq_em_t3 with aqlq_em_t1.
t-test pairs = aqlq_a_t2 aqlq_a_t3 with aqlq_a_t1.
t-test pairs = acq6_t2 acq6_t3 with acq6_t1.

*secondary outcomes HADSA, HADSD, PMS and MARS
    
t-test pairs = hadsa_t2 hadsa_t3 with hadsa_t1.
t-test pairs = hadsd_t2 hadsd_t3 with hadsd_t1.
t-test pairs = pmsaw_t2 pmsaw_t3 with pmsaw_t1.
t-test pairs = pmsac_t2 pmsac_t3 with pmsac_t1.
t-test pairs = mars_t2 mars_t3 with mars_t1.

split file off.

**exploratory comparisons**
  
*filter by engaged ppnts
    filter by loggedinfilter.
*between group comparisons use stata
use all.

freq aqlq_mcid_3m aqlq_mcid_6w.
crosstabs aqlq_mcid_3m aqlq_mcid_6w BY group.

**effect on mood vs asthma
    
compute acq6_change_3m = acq6_t3 - acq6_t1.
compute acq6_change_6w = acq6_t2 - acq6_t1.
compute aqlq_change_3m = aqlq_t3 - aqlq_t1.
compute aqlq_change_6w = aqlq_t2 - aqlq_t1.
compute hadsa_change_3m = hadsa_t3 - hadsa_t1.
compute hadsa_change_6w = hadsa_t2 - hadsa_t1.
compute hadsd_change_3m = hadsd_t3 - hadsd_t1.
compute hadsd_change_6w = hadsd_t2 - hadsd_t1.

sort cases by group.
split file by group.
corr acq6_change_3m aqlq_change_3m with hadsa_change_3m hadsd_change_3m.
corr acq6_change_6w aqlq_change_6w with hadsa_change_6w hadsd_change_6w.
split file off.

*medians by group
*split hads d by median (int high - 4+, control high = 3+)
 *split hads a by median (int high = 8+, control high = 6+)
BETH PRETTY SURE ALL THE BELOW IS RUBBISH! WHAT IS THE BEST WAY TO DO THIS?
sort cases by group.
split file by group.
freq hadsa_t1 hadsd_t1 /statistics = median.
split file off.

if group = 1 and hadsa_t1 ge 4 hadsa_groupmediansplit = 1.
if group = 1 and hadsa_t1 < 4 hadsa_groupmediansplit = 0.
if group = 0 and hadsa_t1 ge 3 hadsa_groupmediansplit = 1.
if group = 0 and hadsa_t1 < 3 hadsa_groupmediansplit = 0.
if group = 1 and hadsd_t1 ge 8 hadsd_groupmediansplit = 1.
if group = 1 and hadsd_t1 < 8 hadsd_groupmediansplit = 0.
if group = 0 and hadsd_t1 ge 6 hadsd_groupmediansplit = 1.
if group = 0 and hadsd_t1 < 6 hadsd_groupmediansplit = 0.

if hadsa_t1 ge 8 hadsa_overallmediansplit = 1.
if hadsa_t1 < 8 hadsa_overallmediansplit = 0.
if hadsd_t1 ge 4 hadsd_overallmediansplit = 1.
if hadsd_t1 < 4 hadsd_overallmediansplit = 0.

* then look at aqlq and acq change in each group.

sort cases by hadsd_groupmediansplit.
split file by hadsd_groupmediansplit.



*talk to beth about whether this is the right thing to do. could do linear regression with depression as prediction.. sesms to complex for this paper.

sort cases by group(a).
filter by group.
sort cases by hadsd_groupmediansplit.
split file by hadsd_groupmediansplit.
ttest pairs = aqlq_t2 aqlq_t3 WITH aqlq_t1 aqlq_t1.
split file off.
sort cases by hadsa_groupmediansplit.
split file by hadsa_groupmediansplit.
ttest pairs = aqlq_t2 aqlq_t3 WITH aqlq_t1 aqlq_t1.
split file off.

use all.
sort cases by group2(d).
filter by group2.
sort cases by hadsd_groupmediansplit.
split file by hadsd_groupmediansplit.
ttest pairs = aqlq_t2 aqlq_t3 WITH aqlq_t1 aqlq_t1 (paired).
split file off.
sort cases by hadsa_groupmediansplit.
split file by hadsa_groupmediansplit.
ttest pairs = aqlq_t2 aqlq_t3 WITH aqlq_t1 aqlq_t1 (paired).
split file off.

if group = 1 group2 = 0.
if group = 0 group2 = 1.
